package epson.print.phlayout;

import android.graphics.RectF;



public class AltRectF {
    float bottom;
    float left;
    float right;
    float top;

    public AltRectF() {
    }

    public AltRectF(@NonNull AltRect altRect) {
        this.left = (float) altRect.left;
        this.top = (float) altRect.top;
        this.right = (float) altRect.right;
        this.bottom = (float) altRect.bottom;
    }

    public AltRectF(float f, float f2, float f3, float f4) {
        this.left = f;
        this.top = f2;
        this.right = f3;
        this.bottom = f4;
    }

    private RectF getRectF() {
        return new RectF(this.left, this.top, this.right, this.bottom);
    }

    /* access modifiers changed from: package-private */
    @VisibleForTesting
    public int[] getIntVal() {
        return new int[]{(int) this.left, (int) this.top, (int) this.right, (int) this.bottom};
    }

    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null || getClass() != obj.getClass()) {
            return false;
        }
        AltRectF altRectF = (AltRectF) obj;
        if (this.left == altRectF.left && this.top == altRectF.top && this.right == altRectF.right && this.bottom == altRectF.bottom) {
            return true;
        }
        return false;
    }

    public int hashCode() {
        return (int) (((float) (((int) (((float) (((int) (((float) (((int) this.left) * 31)) + this.top)) * 31)) + this.right)) * 31)) + this.bottom);
    }

    public String toString() {
        StringBuilder sb = new StringBuilder(32);
        sb.append("AltRectF(");
        sb.append(this.left);
        sb.append(PreferencesConstants.COOKIE_DELIMITER);
        sb.append(this.top);
        sb.append(PreferencesConstants.COOKIE_DELIMITER);
        sb.append(this.right);
        sb.append(PreferencesConstants.COOKIE_DELIMITER);
        sb.append(this.bottom);
        sb.append(")");
        return sb.toString();
    }
}
